summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorSimon MacMullen <simon@rabbitmq.com>2014-06-09 15:56:38 +0100
committerSimon MacMullen <simon@rabbitmq.com>2014-06-09 15:56:38 +0100
commit5d0170fe32a56a802d9a3c97b5e056f65799dfb5 (patch)
tree3dd6dcc70b90361e4665a0183b0b0af3a4dba3c4 /scripts
parent2ef1660fea393de46710e5b452e9543af0d787dd (diff)
parentc34c3b4f243ac37387532f53d4a6f2dc81dce40c (diff)
downloadrabbitmq-server-git-5d0170fe32a56a802d9a3c97b5e056f65799dfb5.tar.gz
Merge bug26230
Diffstat (limited to 'scripts')
-rw-r--r--scripts/rabbitmq-defaults2
-rwxr-xr-xscripts/rabbitmq-env4
-rwxr-xr-xscripts/rabbitmq-plugins2
-rwxr-xr-xscripts/rabbitmq-server2
-rwxr-xr-xscripts/rabbitmqctl2
5 files changed, 6 insertions, 6 deletions
diff --git a/scripts/rabbitmq-defaults b/scripts/rabbitmq-defaults
index 1ab819f6ce..1d9afbd8a5 100644
--- a/scripts/rabbitmq-defaults
+++ b/scripts/rabbitmq-defaults
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
## The contents of this file are subject to the Mozilla Public License
## Version 1.1 (the "License"); you may not use this file except in
## compliance with the License. You may obtain a copy of the License
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index 861e0b32f5..b77416703d 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
## The contents of this file are subject to the Mozilla Public License
## Version 1.1 (the "License"); you may not use this file except in
## compliance with the License. You may obtain a copy of the License
@@ -52,4 +52,4 @@ if [ -f /etc/rabbitmq/rabbitmq.conf ] && \
fi
## Get configuration variables from the configure environment file
-[ -f ${CONF_ENV_FILE} ] && . ${CONF_ENV_FILE}
+[ -f ${CONF_ENV_FILE} ] && . ${CONF_ENV_FILE} || true
diff --git a/scripts/rabbitmq-plugins b/scripts/rabbitmq-plugins
index 2ec45be01f..bd7d0b6ab2 100755
--- a/scripts/rabbitmq-plugins
+++ b/scripts/rabbitmq-plugins
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
## The contents of this file are subject to the Mozilla Public License
## Version 1.1 (the "License"); you may not use this file except in
## compliance with the License. You may obtain a copy of the License
diff --git a/scripts/rabbitmq-server b/scripts/rabbitmq-server
index 03cd80e11a..18d24542e3 100755
--- a/scripts/rabbitmq-server
+++ b/scripts/rabbitmq-server
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
## The contents of this file are subject to the Mozilla Public License
## Version 1.1 (the "License"); you may not use this file except in
## compliance with the License. You may obtain a copy of the License
diff --git a/scripts/rabbitmqctl b/scripts/rabbitmqctl
index ff9cb7fa50..309abf2a0d 100755
--- a/scripts/rabbitmqctl
+++ b/scripts/rabbitmqctl
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
## The contents of this file are subject to the Mozilla Public License
## Version 1.1 (the "License"); you may not use this file except in
## compliance with the License. You may obtain a copy of the License